Bug 494028

Summary: Rebase request for crash utility RHEL5.4 errata
Product: Red Hat Enterprise Linux 5 Reporter: Dave Anderson <anderson>
Component: crashAssignee: Dave Anderson <anderson>
Status: CLOSED ERRATA QA Contact: Red Hat Kernel QE team <kernel-qe>
Severity: medium Docs Contact:
Priority: high    
Version: 5.4CC: caiqian, lwang, rlerch
Target Milestone: rcKeywords: Rebase
Target Release: 5.4   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The crash packages are used to investigate live systems and kernel core dumps created from the netdump, diskdump and kdump facilities. With this update, Crash has been rebased to upstream version 4.0-8.9. For a complete list of bug fixes and enhancements, refer to the upstream changelog at http://people.redhat.com/anderson/crash.changelog.html
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-02 05:40:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 468301    

Description Dave Anderson 2009-04-03 15:06:49 EDT
Description of problem:

The RHEL5.4 errata version of crash should be rebased to the current upstream version of the crash utility.

It is far more efficient, and far safer, to rebase to the upstream version than to attempt to selectively backport the patches required for the current set of bugzillas approved for RHEL5.4.  Furthermore, the new features and other fixes that have been applied to the upstream version make the tool significantly more useful than the RHEL5 version.

I can confidently state the above primarily because I am the original author, the upstream maintainer, and the Red Hat maintainer of the crash utility.

As the upstream maintainer, one of my primary goals is, and always has been,
to maintain backwards-compatibility whenever new fixes or features are applied.  Furthermore, upstream patches may be based upon other pieces that were updated upstream but not directly related to the bugzilla report. So
the risk of regression is less with a rebase than it would be with selective backports, as evidenced by the need for a RHEL5.3-z release when an upstream fix was only partially applied as a selective patch.

It should be noted that nothing goes into the upstream version without my approval, and my testing.  I perform all my testing on RHEL5 systems, and test
changes against a sample set of RHEL3, RHEL4 and RHEL5 kernel crash dumps.
  
Furthermore, as a practical manner, the current RHEL5 version of crash needs several updates to support upstream kernels.  That is an example of the kinds of changes that are continually folded into the upstream version of crash as
the underlying kernel itself changes.  Given the onset of RHEL6, it only makes
sense that the RHEL5 version of crash can be used with the oncoming RHEL6 kernels.

And lastly, there have been several new debugging features added to the upstream version that can only serve to aid our support and development personnel in dealing with customer crashes more efficiently.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Dave Anderson 2009-04-03 15:38:35 EDT
OK thanks, I'll add the release note.  

No "documented procedures" will change.
Comment 6 Ruediger Landmann 2009-05-18 02:58:53 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Crash is rebased to upstream version 4.0-8.9. For a complete list of bug fixes and enhancements, refer to the upstream changelog at http://people.redhat.com/anderson/crash.changelog.html
Comment 7 Dave Anderson 2009-05-18 11:00:48 EDT
Release note looks  fine.
Comment 9 Ryan Lerch 2009-05-19 19:53:22 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,2 @@
-Crash is rebased to upstream version 4.0-8.9. For a complete list of bug fixes and enhancements, refer to the upstream changelog at http://people.redhat.com/anderson/crash.changelog.html+The crash packages are used to investigate live systems and kernel core dumps created from the netdump, diskdump and kdump facilities.
+						With this update, Crash has been rebased to upstream version 4.0-8.9. For a complete list of bug fixes and enhancements, refer to the upstream changelog at http://people.redhat.com/anderson/crash.changelog.html
Comment 10 Dave Anderson 2009-05-20 08:19:04 EDT
Updated release note looks OK -- thanks!
Comment 12 errata-xmlrpc 2009-09-02 05:40:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1283.html